interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 418540 characters]
        OmB8rMPmRUQ9SEAUTg2KIkmODQtfqtz/B/g4xLNpDhUA
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [2c54fd1a62e21e77-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['280701']
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:19:32 GMT']
      server: [cloudflare-nginx]
      set-cookie: ['__cfduid=d814518174fe1981d7293b3c0389eb1d51469002771; expires=Thu,
          20-Jul-17 08:19:31 GMT; path=/; domain=.reddit.com; HttpOnly', 'loid=ydSC8wJP2madJjyk06;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:19:32
          GMT; secure', 'loidcreated=2016-07-20T08%3A19%3A31.848Z; Domain=reddit.com;
          Max-Age=63071999; Path=/; expires=Fri, 20-Jul-2018 08:19:32 GMT; secure']
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=g45c21SKeAXXyEfjwxEuuxxOaekwUQ2CQz6%2FgPmg7ABvoUx9orI6DVx%2FmoaZpahR4O0pF1T%2FQu6XDQz6UEYgqLfvxhbjYGWv']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate, compress']
      Cookie: [loid=ydSC8wJP2madJjyk06; loidcreated=2016-07-20T08%3A19%3A31.848Z;
          __cfduid=d814518174fe1981d7293b3c0389eb1d51469002771]
      User-Agent: [!!python/unicode rtv test suite PRAW/3.4.0 Python/2.7.6 Linux-3.13.0-85-generic-x86_64-with-Ubuntu-14.04-trusty]
    method: !!python/unicode GET
    uri: https://api.reddit.com/subreddits/popular/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 418617 characters]
    headers:
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      cf-ray: [2c54fd2833bd1e77-SJC]
      connection: [keep-alive]
      content-encoding: [gzip]
      content-length: ['280719']
      content-type: [application/json; charset=UTF-8]
      date: ['Wed, 20 Jul 2016 08:19:34 GMT']
      server: [cloudflare-nginx]
      strict-transport-security: [max-age=15552000; includeSubDomains; preload]
      vary: [accept-encoding]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-moose: [majestic]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=j6G3xtpHJrzbVDKP3Q5xdzbT2xkgxbIs8hwOoeStUhWfmomLqZqG5G3nIAdzXYCI%2BDx3%2FKVH%2FnMCOyS6iRAGFvCIFA5NDeFB']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
